Skip to main content

Nexus API

Refresh member (alias for aggregate member)

This is an alias for members/aggregate. Use this endpoint to create a new aggregation job, which is the process that gathers updated account, transaction, and holding data for a given member. If you've set the use_cases field when creating the member, then the member's use_case must be set to PFM, otherwise a 403 will return. The response will include important information about the member's aggregation including the is_being_aggregated and connection_status fields. The aggregation can take some time to finish; you can use the the read member endpoint and track the status and completion of the aggregation as it progresses.
Detailed information on the aggregation process from start to finish can be found in the guide.

GET
/members/{member_guid}/refresh

Path Parameters

FieldRequiredType

member_guid

The unique identifier for the member. Defined by MX.

Required
String

Query Parameters

FieldRequiredType

include_holdings

When set to false, the aggregation will not gather holdings data, but will gather transaction and account data. Defaults to true.

Optional
Boolean

include_transactions

When set to false, the aggregation will not gather transaction data, but will include account and holdings data. Defaults to true.

Optional
Boolean
Loading...